import {AnyProductsMeta} from "./cards/AnyProducts";
import {ComponentMeta} from "./ComponentsMeta";

export const IncompatibleWithAnyProducts = <T extends ComponentMeta>(componentMeta: T): T => {
    return {
        ...componentMeta,
        incompatibleWith: [
            ...componentMeta.incompatibleWith || [],
            AnyProductsMeta.id
        ]
    }
}